## kdevelop-python 5.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(kdevpython VERSION 5.4.2)

# KDevplatform dependency version
set(KDEVPLATFORM_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}")

find_package (ECM "5.28.0" REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${kdevpython_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)

include(ECMAddTests)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)

if(POLICY CMP0071)
    # Avoids compat messages from CMake 3.10+, with Qt < 5.9.4
    # See https://bugreports.qt.io/browse/QTBUG-63442
    cmake_policy(SET CMP0071 OLD)
endif()

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wdocumentation")
endif()

add_definitions( -DTRANSLATION_DOMAIN=\"kdevpython\" )

# CMake looks for exactly the specified version first and ignores newer versions.
# To avoid that, start looking for the newest supported version and work down.
set(Python_ADDITIONAL_VERSIONS 3.7 3.6 3.5 3.4)
foreach(_PYTHON_V ${Python_ADDITIONAL_VERSIONS})
    find_package(PythonInterp ${_PYTHON_V})
    if ( PYTHONINTERP_FOUND )
        break()
    endif()
endforeach()
# Must unset before searching for libs, otherwise these are checked before the required version...
unset(Python_ADDITIONAL_VERSIONS)

if ( PYTHONINTERP_FOUND AND PYTHON_VERSION_STRING VERSION_GREATER "3.4" )
    # Find libraries that match the found interpreter (mismatched versions not supported).
    # This assumes libs are available for the newest Python version on the system.
    # KDevelop should _always_ be built against the newest possible version, so notabug.
    find_package(PythonLibs "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}" REQUIRED EXACT)
endif()

if ( NOT PYTHONLIBS_FOUND OR PYTHONLIBS_VERSION_STRING VERSION_LESS "3.4.3" )
    message(FATAL_ERROR "Python >= 3.4.3 but < 3.8 with --enable-shared is required to build kdev-python")
endif()

configure_file(kdevpythonversion.h.cmake "${CMAKE_CURRENT_BINARY_DIR}/kdevpythonversion.h" @ONLY)

set(QT_MIN_VERSION "5.7.0")
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Test)
set(KF5_DEP_VERSION "5.28.0")
find_package(KF5 ${KF5_DEP_VERSION} REQUIRED
    I18n
    ThreadWeaver
    TextEditor
)
find_package(KDevPlatform ${KDEVPLATFORM_VERSION} CONFIG REQUIRED)
find_package(KDevelop ${KDEVPLATFORM_VERSION} REQUIRED)

if(NOT CMAKE_VERSION VERSION_LESS "3.10.0" AND KF5_VERSION VERSION_LESS "5.42.0")
    # Avoids bogus warnings with CMake 3.10+, KF5.42+ has workaround
    list(APPEND CMAKE_AUTOMOC_MACRO_NAMES "K_PLUGIN_FACTORY_WITH_JSON")
endif()

if ( NOT WIN32 )
    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wfatal-errors -Wall")
endif ( NOT WIN32 )

# then, build the plugin
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/duchain
    ${CMAKE_CURRENT_SOURCE_DIR}/parser
    ${CMAKE_CURRENT_BINARY_DIR}/parser
)

add_subdirectory(app_templates)
add_subdirectory(parser)
add_subdirectory(duchain)
add_subdirectory(codecompletion)
add_subdirectory(debugger)
add_subdirectory(docfilekcm)

set(kdevpythonlanguagesupport_PART_SRCS
    codegen/correctionfilegenerator.cpp
    codegen/refactoring.cpp
    pythonlanguagesupport.cpp
    pythonparsejob.cpp
    pythonhighlighting.cpp
    pythonstylechecking.cpp

    # config pages:
    docfilekcm/docfilewizard.cpp
    docfilekcm/docfilemanagerwidget.cpp
    docfilekcm/kcm_docfiles.cpp
    pep8kcm/kcm_pep8.cpp
    projectconfig/projectconfigpage.cpp
)
ecm_qt_declare_logging_category(kdevpythonlanguagesupport_PART_SRCS
    HEADER codegendebug.h
    IDENTIFIER KDEV_PYTHON_CODEGEN
    CATEGORY_NAME "kdevelop.plugins.python.codegen"
)
ecm_qt_declare_logging_category(kdevpythonlanguagesupport_PART_SRCS
    HEADER pythondebug.h
    IDENTIFIER KDEV_PYTHON
    CATEGORY_NAME "kdevelop.plugins.python"
)

ki18n_wrap_ui(kdevpythonlanguagesupport_PART_SRCS
    codegen/correctionwidget.ui
    projectconfig/projectconfig.ui
    pep8kcm/pep8.ui
)

kdevplatform_add_plugin(kdevpythonlanguagesupport JSON kdevpythonsupport.json SOURCES ${kdevpythonlanguagesupport_PART_SRCS})

target_link_libraries(kdevpythonlanguagesupport
    KDev::Interfaces
    KDev::Language
    KDev::Util
    KF5::ThreadWeaver
    KF5::TextEditor
    kdevpythoncompletion
    kdevpythonparser
    kdevpythonduchain
)

get_target_property(DEFINESANDINCLUDES_INCLUDE_DIRS KDev::DefinesAndIncludesManager INTERFACE_INCLUDE_DIRECTORIES)
include_directories(${DEFINESANDINCLUDES_INCLUDE_DIRS})

install(DIRECTORY documentation_files DESTINATION ${KDE_INSTALL_DATADIR}/kdevpythonsupport)
install(DIRECTORY correction_files DESTINATION ${KDE_INSTALL_DATADIR}/kdevpythonsupport)
install(FILES codestyle.py DESTINATION ${KDE_INSTALL_DATADIR}/kdevpythonsupport)

install(FILES org.kde.kdev-python.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# kdebugsettings file
# kdebugsettings >= 18.12 supports/pushes for some newer, not backward-compatible format.
# For ECM >= 5.59 we install categories files to new location, which is only supported by
# newer kdebugsettings also supporting the new content format, so we use that as base.
if (ECM_VERSION VERSION_GREATER "5.58.0")
    install(FILES kdevpythonsupport-newformat.categories RENAME kdevpythonsupport.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
    )
else()
    install(FILES kdevpythonsupport-oldformat.categories RENAME kdevpythonsupport.categories
        DESTINATION ${KDE_INSTALL_CONFDIR})
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== debian/changelog ===
kdevelop-python (5.4.2-1ubuntu1) eoan; urgency=medium

  * Merge Debian changes. Remaining changes:
  - Handle move of Qt logging categories files install location when building
    with Frameworks >= 5.59.0
    + Update install files, relocating files from /etc/xdg/ to
      /usr/share/qlogging-categories5/
    + Add maintscript to remove obsolete versions in /etc/xdg/

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 15 Sep 2019 08:13:31 +0100

kdevelop-python (5.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.4.2, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Sep 2019 20:17:51 +0200

kdevelop-python (5.4.2-0ubuntu1) eoan; urgency=medium

  * New upstream bugfix release (5.4.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 12:31:00 +0100

kdevelop-python (5.4.1-1ubuntu1) eoan; urgency=medium

  * Merge Debian changes. Remaining changes:
  - Handle move of Qt logging categories files install location when building
    with Frameworks >= 5.59.0
    + Update install files, relocating files from /etc/xdg/ to
      /usr/share/qlogging-categories5/
    + Add maintscript to remove obsolete versions in /etc/xdg/

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 17 Aug 2019 11:36:12 +0100

kdevelop-python (5.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.4.1, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Fri, 16 Aug 2019 18:12:19 +0200

kdevelop-python (5.4.0-2ubuntu1) eoan; urgency=medium

  * Merge Debian changes. Remaining changes:
  - Handle move of Qt logging categories files install location when building
    with Frameworks >= 5.59.0
    + Update install files, relocating files from /etc/xdg/ to
      /usr/share/qlogging-categories5/
    + Add maintscript to remove obsolete versions in /etc/xdg/

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 13 Aug 2019 10:10:11 +0100

kdevelop-python (5.4.0-2) unstable; urgency=medium

  * Actually bump the kdevelop-dev build dependency to >= 4:5.4.0.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Aug 2019 11:15:42 +0200

kdevelop-python (5.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to >= 5.7.0
    - bump the KF packages to >= 5.28.0
    - bump kdevelop-dev to >= 5.4.0
    - explicitly add gettext
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Aug 2019 10:10:43 +0200

kdevelop-python (5.3.3-1ubuntu1) eoan; urgency=medium

  * Handle move of Qt logging categories files install location when building
    with Frameworks >= 5.59.0
    - Update install files, relocating files from /etc/xdg/ to
      /usr/share/qlogging-categories5/
    - Add maintscript to remove obsolete versions in /etc/xdg/

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Jul 2019 15:26:10 +0100

=== debian/control ===
Source: kdevelop-python
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cmake (>= 3.0),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.28.0),
               gettext,
               qtbase5-dev (>= 5.7.0),
               libkf5i18n-dev (>= 5.28.0),
               libkf5itemmodels-dev (>= 5.28.0),
               libkf5kcmutils-dev (>= 5.28.0),
               libkf5newstuff-dev (>= 5.28.0),
               libkf5texteditor-dev (>= 5.28.0),
               libkf5threadweaver-dev (>= 5.28.0),
               kdevelop-dev (>= 4:5.4.2),
               pkg-kde-tools (>= 0.15.16),
               python3.7-dev,
Standards-Version: 4.4.0
Homepage: https://www.kdevelop.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python.git

Package: kdevelop-python
Architecture: any
Depends: python3.7,
 kdevelop-python-data (>= ${source:Version}),
 ${misc:Depends}, ${shlibs:Depends}
Recommends: kdevelop, pycodestyle, python3-autopep8
Suggests: kdevelop-python-l10n
Enhances: kdevelop
Description: Python 3 plugin for KDevelop
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the Python 3 language support plugin.

Package: kdevelop-python-data
Architecture: all
Depends: ${misc:Depends}
Description: Python 3 plugin for KDevelop - data files
 KDevelop is an easy to use integrated development environment for KDE.
 It supports a wide range of programming languages and features project
 management, an advanced editor, a class browser and an integrated debugger.
 .
 This package contains the data files for Python 3 language support plugin.

Package: kdevelop-python-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Description: localization files for KDevelop Python 3 plugin
 The KDevelop-Python plugin is the language plugin for the Python 3 language
 for the KDevelop integrated development environment for KDE.
 .
 This  package contains the localizations for the KDevelop Python 3 plugin.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_install:
	dh_auto_install
	# remove extra "license" files
	find debian/tmp -name COPYING -print -delete

override_dh_missing:
	dh_missing --fail-missing

.PHONY: override_dh_auto_test

## kdevelop-python 5.4.6

=== debian/changelog ===
kdevelop-python (5.4.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.4.6, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Thu, 09 Jan 2020 08:30:24 +0100

kdevelop-python (5.4.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.4.5, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Mon, 02 Dec 2019 22:43:35 +0100

kdevelop-python (5.4.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.4.4, as indicated by the
    upstream build system.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Tue, 05 Nov 2019 08:30:44 +0100

kdevelop-python (5.4.2-2) unstable; urgency=medium

  * Team upload.
  * Depend on the newer ecm
  * Move qdebug files

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 Sep 2019 07:56:53 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: cmake (>= 3.0),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.28.0),
+               extra-cmake-modules (>= 5.59~),
                gettext,
                qtbase5-dev (>= 5.7.0),
                libkf5i18n-dev (>= 5.28.0),
@@ -15,10 +15,10 @@
                libkf5newstuff-dev (>= 5.28.0),
                libkf5texteditor-dev (>= 5.28.0),
                libkf5threadweaver-dev (>= 5.28.0),
-               kdevelop-dev (>= 4:5.4.2),
+               kdevelop-dev (>= 4:5.4.6),
                pkg-kde-tools (>= 0.15.16),
                python3.7-dev,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python.git

## kdevelop-python 5.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0)
-project(kdevpython VERSION 5.4.2)
+project(kdevpython VERSION 5.5.0)
 
 # KDevplatform dependency version
 set(KDEVPLATFORM_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}")
@@ -31,7 +31,7 @@
 
 # CMake looks for exactly the specified version first and ignores newer versions.
 # To avoid that, start looking for the newest supported version and work down.
-set(Python_ADDITIONAL_VERSIONS 3.7 3.6 3.5 3.4)
+set(Python_ADDITIONAL_VERSIONS 3.8 3.7 3.6 3.5 3.4)
 foreach(_PYTHON_V ${Python_ADDITIONAL_VERSIONS})
     find_package(PythonInterp ${_PYTHON_V})
     if ( PYTHONINTERP_FOUND )
@@ -49,7 +49,7 @@
 endif()
 
 if ( NOT PYTHONLIBS_FOUND OR PYTHONLIBS_VERSION_STRING VERSION_LESS "3.4.3" )
-    message(FATAL_ERROR "Python >= 3.4.3 but < 3.8 with --enable-shared is required to build kdev-python")
+    message(FATAL_ERROR "Python >= 3.4.3 but < 3.9 with --enable-shared is required to build kdev-python")
 endif()
 
 configure_file(kdevpythonversion.h.cmake "${CMAKE_CURRENT_BINARY_DIR}/kdevpythonversion.h" @ONLY)

=== debugger/CMakeLists.txt ===
set(kdevpdb_PART_SRCS
    breakpointcontroller.cpp
    variable.cpp
    variablecontroller.cpp
    pdbframestackmodel.cpp
    pdblauncher.cpp
    debugjob.cpp
    debugsession.cpp
    pdbdebuggerplugin.cpp
)
ecm_qt_declare_logging_category(kdevpdb_PART_SRCS
    HEADER debuggerdebug.h
    IDENTIFIER KDEV_PYTHON_DEBUGGER
    CATEGORY_NAME "kdevelop.plugins.python.debugger"
)

kdevplatform_add_plugin(kdevpdb JSON kdevpdb.json SOURCES ${kdevpdb_PART_SRCS})

generate_export_header(kdevpdb EXPORT_MACRO_NAME KDEVPYTHONDEBUG_EXPORT)

target_link_libraries(kdevpdb
    kdevpythonparser
    KDev::Interfaces
    KDev::Language
    KDev::Debugger
    KDev::OutputView
    KDev::Project    
    KDev::Util
    KF5::TextEditor
)

install(FILES __kdevpython_debugger_utils.py DESTINATION ${KDE_INSTALL_DATADIR}/kdevpythonsupport/debugger)
install(FILES kdevpdb.py DESTINATION ${KDE_INSTALL_DATADIR}/kdevpythonsupport/debugger)

=== debian/changelog ===
kdevelop-python (5.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Enable all the reprotest variations in the salsa CI.
  * Bump the kdevelop-dev build dependency to 5.5.0, as indicated by the
    upstream build system.
  * Use an environment variable for the version of plugins, to minimize changes
    to kdevelop-python.install
    - add the dh-exec build dependency
    - override the lintian info on that
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update the Python (build) dependencies according to the new supported
    version:
    - switch the python3.7-dev build dependency to python3.8-dev
    - switch the python3.7 dependency to python3.8

 -- Pino Toscano <pino@debian.org>  Thu, 13 Feb 2020 21:38:38 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Pino Toscano <pino@debian.org>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: cmake (>= 3.0),
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
+               dh-exec,
                extra-cmake-modules (>= 5.59~),
                gettext,
                qtbase5-dev (>= 5.7.0),
@@ -15,17 +16,17 @@
                libkf5newstuff-dev (>= 5.28.0),
                libkf5texteditor-dev (>= 5.28.0),
                libkf5threadweaver-dev (>= 5.28.0),
-               kdevelop-dev (>= 4:5.4.6),
+               kdevelop-dev (>= 4:5.5.0),
                pkg-kde-tools (>= 0.15.16),
-               python3.7-dev,
-Standards-Version: 4.4.1
+               python3.8-dev,
+Standards-Version: 4.5.0
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python.git
 
 Package: kdevelop-python
 Architecture: any
-Depends: python3.7,
+Depends: python3.8,
  kdevelop-python-data (>= ${source:Version}),
  ${misc:Depends}, ${shlibs:Depends}
 Recommends: kdevelop, pycodestyle, python3-autopep8

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
+
+# from kdevelop
+export KDEV_PLUGIN_VERSION=33
 
 %:
 	dh $@ --with kf5

## kdevelop-python 5.5.2

=== debian/changelog ===
kdevelop-python (5.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.5.2, as indicated by the
    upstream build system.
  * Set Rules-Requires-Root: no.
  * Fix typo in the 5.5.1-1 changelog stanza.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Jun 2020 12:16:20 +0200

kdevelop-python (5.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.5.1, as indicated by the
    upstream build system.

 -- Pino Toscano <pino@debian.org>  Sun, 10 May 2020 07:35:31 +0200

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,11 @@
                libkf5newstuff-dev (>= 5.28.0),
                libkf5texteditor-dev (>= 5.28.0),
                libkf5threadweaver-dev (>= 5.28.0),
-               kdevelop-dev (>= 4:5.5.0),
+               kdevelop-dev (>= 4:5.5.2),
                pkg-kde-tools (>= 0.15.16),
                python3.8-dev,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python.git

## kdevelop-python 5.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.0)
-project(kdevpython VERSION 5.5.0)
+project(kdevpython VERSION 5.6.2)
 
 # KDevplatform dependency version
 set(KDEVPLATFORM_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}")
@@ -31,7 +31,7 @@
 
 # CMake looks for exactly the specified version first and ignores newer versions.
 # To avoid that, start looking for the newest supported version and work down.
-set(Python_ADDITIONAL_VERSIONS 3.8 3.7 3.6 3.5 3.4)
+set(Python_ADDITIONAL_VERSIONS 3.9 3.8 3.7 3.6 3.5 3.4)
 foreach(_PYTHON_V ${Python_ADDITIONAL_VERSIONS})
     find_package(PythonInterp ${_PYTHON_V})
     if ( PYTHONINTERP_FOUND )
@@ -49,7 +49,7 @@
 endif()
 
 if ( NOT PYTHONLIBS_FOUND OR PYTHONLIBS_VERSION_STRING VERSION_LESS "3.4.3" )
-    message(FATAL_ERROR "Python >= 3.4.3 but < 3.9 with --enable-shared is required to build kdev-python")
+    message(FATAL_ERROR "Python >= 3.4.3 but < 3.10 with --enable-shared is required to build kdev-python")
 endif()
 
 configure_file(kdevpythonversion.h.cmake "${CMAKE_CURRENT_BINARY_DIR}/kdevpythonversion.h" @ONLY)
@@ -157,7 +157,6 @@
         DESTINATION ${KDE_INSTALL_CONFDIR})
 endif()
 
+ki18n_install(po)
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
-find_package(KF5I18n CONFIG REQUIRED)
-ki18n_install(po)

=== duchain/CMakeLists.txt ===
set(duchain_SRCS
    declarations/functiondeclaration.cpp

    types/nonetype.cpp
    types/hintedtype.cpp
    types/unsuretype.cpp
    types/indexedcontainer.cpp

    expressionvisitor.cpp
    helpers.cpp
    pythonducontext.cpp
    contextbuilder.cpp
    pythoneditorintegrator.cpp
    declarationbuilder.cpp
    usebuilder.cpp
    dumpchain.cpp

    navigation/navigationwidget.cpp
    navigation/declarationnavigationcontext.cpp

    correctionhelper.cpp

    assistants/missingincludeassistant.cpp
    ../docfilekcm/docfilewizard.cpp # for the docfile generation assistant widget, to be used in the problem resolver
)

ecm_qt_declare_logging_category(duchain_SRCS
    HEADER duchaindebug.h
    IDENTIFIER KDEV_PYTHON_DUCHAIN
    CATEGORY_NAME "kdevelop.plugins.python.duchain"
)

add_library( kdevpythonduchain SHARED ${duchain_SRCS} )

generate_export_header( kdevpythonduchain EXPORT_MACRO_NAME KDEVPYTHONDUCHAIN_EXPORT
                                           EXPORT_FILE_NAME pythonduchainexport.h
)

target_link_libraries( kdevpythonduchain LINK_PRIVATE
    KF5::TextEditor
    KDev::Interfaces
    KDev::Language
    KDev::Project
    KDev::Util
    kdevpythonparser
)

install(TARGETS kdevpythonduchain DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})


add_subdirectory(navigation)

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

add_subdirectory(types)
add_subdirectory(declarations)

add_subdirectory(assistants)

=== duchain/tests/CMakeLists.txt ===
set(pyduchaintest_SRCS
    pyduchaintest.cpp
    ../duchaindebug.cpp)

ecm_add_test(${pyduchaintest_SRCS}
    TEST_NAME pyduchaintest)

set(duchainbench_SRCS
    duchainbench.cpp
    ../duchaindebug.cpp)

ecm_add_test(${duchainbench_SRCS}
    TEST_NAME duchainbench)

add_definitions(-DDUCHAIN_PY_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

target_link_libraries(pyduchaintest
    kdevpythonduchain
    kdevpythonparser
    ${kdevpythonparser_LIBRARIES}
    Qt5::Test
    KDev::Tests
)

target_link_libraries(duchainbench
    kdevpythonduchain
    kdevpythonparser
    ${kdevpythonparser_LIBRARIES}
    Qt5::Test
    KDev::Tests
)

=== debian/changelog ===
kdevelop-python (5.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.6.2, as indicated by the
    upstream build system.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Feb 2021 10:24:33 +0100

kdevelop-python (5.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.6.1, as indicated by the
    upstream build system.
  * Remove the unused upstream GPG signing key.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Wed, 09 Dec 2020 10:16:25 +0100

kdevelop-python (5.6.0-2) unstable; urgency=medium

  * Update the Python (build) dependencies according to the new default
    version in Debian:
    - switch the python3.8-dev build dependency to python3.9-dev
    - switch the python3.8 dependency to python3.9
  * Bump Standards-Version to 4.5.1, no changes required.
  * Switch the watch file to version 4, no changes required.
  * Add the upstream GPG signing key.

 -- Pino Toscano <pino@debian.org>  Fri, 20 Nov 2020 09:54:12 +0100

kdevelop-python (5.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 5.6.0, as indicated by the
    upstream build system.
  * Bump KDEV_PLUGIN_VERSION to 34, according to upstream.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default behaviour
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 11 Sep 2020 16:51:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Pino Toscano <pino@debian.org>,
            Andreas Cord-Landwehr <cola@uni-paderborn.de>
 Build-Depends: cmake (>= 3.0),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-exec,
                extra-cmake-modules (>= 5.59~),
                gettext,
@@ -16,10 +16,10 @@
                libkf5newstuff-dev (>= 5.28.0),
                libkf5texteditor-dev (>= 5.28.0),
                libkf5threadweaver-dev (>= 5.28.0),
-               kdevelop-dev (>= 4:5.5.2),
+               kdevelop-dev (>= 4:5.6.2),
                pkg-kde-tools (>= 0.15.16),
-               python3.8-dev,
-Standards-Version: 4.5.0
+               python3.9-dev,
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python
@@ -27,7 +27,7 @@
 
 Package: kdevelop-python
 Architecture: any
-Depends: python3.8,
+Depends: python3.9,
  kdevelop-python-data (>= ${source:Version}),
  ${misc:Depends}, ${shlibs:Depends}
 Recommends: kdevelop, pycodestyle, python3-autopep8

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# from kdevelop
export KDEV_PLUGIN_VERSION=34

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

execute_after_dh_auto_install:
	# remove extra "license" files
	find debian/tmp -name COPYING -print -delete

.PHONY: override_dh_auto_test

=== debian/watch ===
version=4
https://download.kde.org/stable/kdevelop/([\d.]+)/src/kdev-python-([\d.]+)\.tar\.xz

## kdevelop-python 22.12.0

=== debian/changelog ===
kdevelop-python (22.12.0-3) unstable; urgency=medium

  * Drop upstream_support-for-the-most-basic-cases-of-python-3.10-s-ma.patch:
    it is buggy, and upstream does not want it in stable versions yet (sigh).
    (Closes: #1027845)

 -- Pino Toscano <pino@debian.org>  Thu, 05 Jan 2023 08:43:56 +0100

kdevelop-python (22.12.0-2) unstable; urgency=medium

  * Update python3.10-dev build dependency to improve cross-building:
    - add libpython3.10-dev to ensure we have the development bits for the
      Python library we want
    - add python3.10:any to get a valid Python executable; the path is the
      same across all the architectures
    - drop python3.10-dev, replaced by the above two
  * Backport upstream commit 4bcec08fb400b7e5aeacd23c0c9649036627a06b, and
    commit c4ec40a9cac3e59930eb21a525d80aefdc1ee4e4 to support Python 3.11,
    and newer bits in Python 3.10+; patches
    upstream_initial-support-for-python-3.11.patch, and
    upstream_support-for-the-most-basic-cases-of-python-3.10-s-ma.patch.
  * Update the Python (build) dependencies according to the highest Python
    version in Debian:
    - switch the libpython3.10-dev build dependency to libpython3.11-dev
    - switch the python3.10:any build dependency to python3.11:any
    - switch the python3.10 dependency to python3.11

 -- Pino Toscano <pino@debian.org>  Wed, 28 Dec 2022 08:15:15 +0100

kdevelop-python (22.12.0-1) unstable; urgency=medium

  * New upstream release:
    - supports Python 3.10 (needed for #1008694)
  * Update standards version to 4.6.2, no changes needed.
  * Bump the kdevelop-dev build dependency to 22.12.0, as indicated by the
    upstream build system.
  * Update the Python (build) dependencies according to the current default
    version in Debian: (Closes: #1008694)
    - switch the python3.9-dev build dependency to python3.10-dev
    - switch the python3.9 dependency to python3.10
  * Bump KDEV_PLUGIN_VERSION to 510, according to upstream.

 -- Pino Toscano <pino@debian.org>  Thu, 22 Dec 2022 21:38:07 +0100

kdevelop-python (22.04.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* fields.
  * Bump Standards-Version to 4.6.1, no changes required.
  * CI: enable again the blhc job.
  * kdevelop-python is now part of the KDE release service, so:
    - switch watch file to release-service locations
    - import release-service GPG signing key
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.78.0
    - bump kdevelop-dev to 22.04.1
  * Bump KDEV_PLUGIN_VERSION to 36, according to upstream.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop the manually specified kf5 addon for dh
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Remove inactive Uploaders.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 27 May 2022 11:03:57 +0200

kdevelop-python (5.6.2-2) unstable; urgency=medium

  * Use the debhelper 13 replacement features in install files:
    - switch from ${KDEV_PLUGIN_VERSION} to ${env:KDEV_PLUGIN_VERSION}
    - remove the dh-exec build dependency, no more needed
    - remove the lintian override for the old method
  * Bump Standards-Version to 4.6.0, no changes required.
  * CI: disable the blhc job.
  * Use the ${misc:Pre-Depends} substvar in kdevelop-python-data.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Sep 2021 07:11:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,31 +3,30 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
-           Andreas Cord-Landwehr <cola@uni-paderborn.de>
-Build-Depends: cmake (>= 3.0),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               dh-exec,
-               extra-cmake-modules (>= 5.59~),
+               dh-sequence-kf5,
+               extra-cmake-modules (>= 5.78.0~),
                gettext,
-               qtbase5-dev (>= 5.7.0),
-               libkf5i18n-dev (>= 5.28.0),
-               libkf5itemmodels-dev (>= 5.28.0),
-               libkf5kcmutils-dev (>= 5.28.0),
-               libkf5newstuff-dev (>= 5.28.0),
-               libkf5texteditor-dev (>= 5.28.0),
-               libkf5threadweaver-dev (>= 5.28.0),
-               kdevelop-dev (>= 4:5.6.2),
-               pkg-kde-tools (>= 0.15.16),
-               python3.9-dev,
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.15.0~),
+               libkf5i18n-dev (>= 5.78.0~),
+               libkf5itemmodels-dev (>= 5.78.0~),
+               libkf5kcmutils-dev (>= 5.78.0~),
+               libkf5newstuff-dev (>= 5.78.0~),
+               libkf5texteditor-dev (>= 5.78.0~),
+               libkf5threadweaver-dev (>= 5.78.0~),
+               kdevelop-dev (>= 4:22.12.0~),
+               libpython3.11-dev,
+               python3.11:any,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-python.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdevelop-python
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdevelop-python.git
 
 Package: kdevelop-python
 Architecture: any
-Depends: python3.9,
+Depends: python3.11,
  kdevelop-python-data (>= ${source:Version}),
  ${misc:Depends}, ${shlibs:Depends}
 Recommends: kdevelop, pycodestyle, python3-autopep8
@@ -42,6 +41,7 @@
 
 Package: kdevelop-python-data
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Description: Python 3 plugin for KDevelop - data files
  KDevelop is an easy to use integrated development environment for KDE.

## kdevelop-python 22.12.2

=== debugger/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,8 @@
     HEADER debuggerdebug.h
     IDENTIFIER KDEV_PYTHON_DEBUGGER
     CATEGORY_NAME "kdevelop.plugins.python.debugger"
+    DESCRIPTION "KDevelop plugin: Python language support - debugger"
+    EXPORT KDEVPYTHON
 )
 
 kdevplatform_add_plugin(kdevpdb JSON kdevpdb.json SOURCES ${kdevpdb_PART_SRCS})

=== parser/tests/CMakeLists.txt ===
set(pyasttest_SRCS pyasttest.cpp ../parserdebug.cpp)

include_directories(${CMAKE_BINARY_DIR}/duchain)
ecm_add_test(${pyasttest_SRCS}
    TEST_NAME pyasttest
    LINK_LIBRARIES kdevpythonparser Qt5::Test KDev::Tests)

=== debian/changelog ===
kdevelop-python (22.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump the kdevelop-dev build dependency to 22.12.2, as indicated by the
    upstream build system.
  * Update the patches:
    - upstream_initial-support-for-python-3.11.patch: drop, backported from
      upstream

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 12:59:51 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf5newstuff-dev (>= 5.78.0~),
                libkf5texteditor-dev (>= 5.78.0~),
                libkf5threadweaver-dev (>= 5.78.0~),
-               kdevelop-dev (>= 4:22.12.0~),
+               kdevelop-dev (>= 4:22.12.2~),
                libpython3.11-dev,
                python3.11:any,
 Standards-Version: 4.6.2

=== debian/rules ===
#!/usr/bin/make -f

# from kdevelop
export KDEV_PLUGIN_VERSION=510

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

execute_after_dh_auto_install:
	# remove extra "license" files
	find debian/tmp -name COPYING -print -delete

.PHONY: override_dh_auto_test

## kdevelop-python 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,28 @@
-cmake_minimum_required(VERSION 3.0)
-project(kdevpython VERSION 5.6.2)
+cmake_minimum_required(VERSION 3.16)
+
+# KDE Gear version, managed by release service script
+set(RELEASE_SERVICE_VERSION_MAJOR "22")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
+
+# generate patch level from release service version
+set(_micro ${RELEASE_SERVICE_VERSION_MICRO})
+if (_micro LESS "10")
+    string(PREPEND _micro "0") # pad with 0
+endif()
+set(RELEASE_SERVICE_BASED_PATCHLEVEL "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${_micro}")
+
+project(kdevpython VERSION "5.7.${RELEASE_SERVICE_BASED_PATCHLEVEL}")
 
 # KDevplatform dependency version
 set(KDEVPLATFORM_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}")
 
-find_package (ECM "5.28.0" REQUIRED NO_MODULE)
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED YES)
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_DEP_VERSION "5.78.0")
+
+find_package (ECM ${KF5_DEP_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${kdevpython_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
@@ -17,12 +35,6 @@
 include(ECMSetupVersion)
 include(ECMQtDeclareLoggingCategory)
 
-if(POLICY CMP0071)
-    # Avoids compat messages from CMake 3.10+, with Qt < 5.9.4
-    # See https://bugreports.qt.io/browse/QTBUG-63442
-    cmake_policy(SET CMP0071 OLD)
-endif()
-
 if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wdocumentation")
 endif()
@@ -31,7 +43,7 @@
 
 # CMake looks for exactly the specified version first and ignores newer versions.
 # To avoid that, start looking for the newest supported version and work down.
-set(Python_ADDITIONAL_VERSIONS 3.9 3.8 3.7 3.6 3.5 3.4)
+set(Python_ADDITIONAL_VERSIONS 3.11 3.10 3.9 3.8 3.7 3.6 3.5 3.4)
 foreach(_PYTHON_V ${Python_ADDITIONAL_VERSIONS})
     find_package(PythonInterp ${_PYTHON_V})
     if ( PYTHONINTERP_FOUND )
@@ -49,14 +61,12 @@
 endif()
 
 if ( NOT PYTHONLIBS_FOUND OR PYTHONLIBS_VERSION_STRING VERSION_LESS "3.4.3" )
-    message(FATAL_ERROR "Python >= 3.4.3 but < 3.10 with --enable-shared is required to build kdev-python")
+    message(FATAL_ERROR "Python >= 3.4.3 but < 3.12 with --enable-shared is required to build kdev-python")
 endif()
 
 configure_file(kdevpythonversion.h.cmake "${CMAKE_CURRENT_BINARY_DIR}/kdevpythonversion.h" @ONLY)
 
-set(QT_MIN_VERSION "5.7.0")
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets Test)
-set(KF5_DEP_VERSION "5.28.0")
 find_package(KF5 ${KF5_DEP_VERSION} REQUIRED
     I18n
     ThreadWeaver
@@ -109,11 +119,15 @@
     HEADER codegendebug.h
     IDENTIFIER KDEV_PYTHON_CODEGEN
     CATEGORY_NAME "kdevelop.plugins.python.codegen"
+    DESCRIPTION "KDevelop plugin: Python language support - codegen"
+    EXPORT KDEVPYTHON
 )
 ecm_qt_declare_logging_category(kdevpythonlanguagesupport_PART_SRCS
     HEADER pythondebug.h
     IDENTIFIER KDEV_PYTHON
     CATEGORY_NAME "kdevelop.plugins.python"
+    DESCRIPTION "KDevelop plugin: Python language support"
+    EXPORT KDEVPYTHON
 )
 
 ki18n_wrap_ui(kdevpythonlanguagesupport_PART_SRCS
@@ -145,17 +159,11 @@
 install(FILES org.kde.kdev-python.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 # kdebugsettings file
-# kdebugsettings >= 18.12 supports/pushes for some newer, not backward-compatible format.
-# For ECM >= 5.59 we install categories files to new location, which is only supported by
-# newer kdebugsettings also supporting the new content format, so we use that as base.
-if (ECM_VERSION VERSION_GREATER "5.58.0")
-    install(FILES kdevpythonsupport-newformat.categories RENAME kdevpythonsupport.categories
-        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
-    )
-else()
-    install(FILES kdevpythonsupport-oldformat.categories RENAME kdevpythonsupport.categories
-        DESTINATION ${KDE_INSTALL_CONFDIR})
-endif()
+ecm_qt_install_logging_categories(
+    EXPORT KDEVPYTHON
+    FILE kdevpythonsupport.categories
+    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+)
 
 ki18n_install(po)

=== debian/changelog ===
kdevelop-python (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:37:26 +0000

kdevelop-python (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)
  * Remove reverse-applicable upstream patch.

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:15:48 -0600

kdevelop-python (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:14:16 +0000

kdevelop-python (22.12.0-3ubuntu1) lunar; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 10:00:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: kdevelop-python
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.78.0~),
                gettext,
-               qtbase5-dev (>= 5.15.0~),
+               kdevelop-dev (>= 4:22.12.3~),
                libkf5i18n-dev (>= 5.78.0~),
                libkf5itemmodels-dev (>= 5.78.0~),
                libkf5kcmutils-dev (>= 5.78.0~),
                libkf5newstuff-dev (>= 5.78.0~),
                libkf5texteditor-dev (>= 5.78.0~),
                libkf5threadweaver-dev (>= 5.78.0~),
-               kdevelop-dev (>= 4:22.12.2~),
                libpython3.11-dev,
                python3.11:any,
+               qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.kdevelop.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdevelop-python
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdevelop-python.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdev-python
 
 Package: kdevelop-python
 Architecture: any

## kdevelop-python 23.08.1

=== debian/changelog ===
kdevelop-python (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:58:33 +0100

kdevelop-python (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:53:27 +0100

kdevelop-python (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * Bump KDEV_PLUGIN_VERSION to 512, according to upstream.
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:33:18 +0100

kdevelop-python (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:46:03 +0100

kdevelop-python (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Adjust KDEV_PLUGIN_VERSION=511 in debian/rules
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:56:23 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.78.0~),
                gettext,
-               kdevelop-dev (>= 4:22.12.3~),
+               kdevelop-dev (>= 4:23.08.1~),
                libkf5i18n-dev (>= 5.78.0~),
                libkf5itemmodels-dev (>= 5.78.0~),
                libkf5kcmutils-dev (>= 5.78.0~),

## kdevelop-python 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Gear version, managed by release service script
-set(RELEASE_SERVICE_VERSION_MAJOR "22")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "5")
 
 # generate patch level from release service version
 set(_micro ${RELEASE_SERVICE_VERSION_MICRO})

=== debian/changelog ===
kdevelop-python (23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:02:15 +1100

kdevelop-python (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:53:09 +0000

kdevelop-python (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:10:18 +0100

kdevelop-python (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:44:37 -0700

kdevelop-python (23.08.4-0ubuntu3) noble; urgency=medium

  * Switch python build and runtime dependencies from 3.11 to 3.12.

 -- Rik Mills <rikmills@kde.org>  Mon, 22 Jan 2024 06:52:04 +0000

kdevelop-python (23.08.4-0ubuntu2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:43:06 +0000

kdevelop-python (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:14:41 +0000

kdevelop-python (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:34:14 +0000

kdevelop-python (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:30:31 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,15 @@
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.78.0~),
                gettext,
-               kdevelop-dev (>= 4:23.08.1~),
+               kdevelop-dev (>= 4:23.08.5~),
                libkf5i18n-dev (>= 5.78.0~),
                libkf5itemmodels-dev (>= 5.78.0~),
                libkf5kcmutils-dev (>= 5.78.0~),
                libkf5newstuff-dev (>= 5.78.0~),
                libkf5texteditor-dev (>= 5.78.0~),
                libkf5threadweaver-dev (>= 5.78.0~),
-               libpython3.11-dev,
-               python3.11:any,
+               libpython3.12-dev,
+               python3.12:any,
                qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -27,7 +27,7 @@
 
 Package: kdevelop-python
 Architecture: any
-Depends: python3.11,
+Depends: python3.12,
  kdevelop-python-data (>= ${source:Version}),
  ${misc:Depends}, ${shlibs:Depends}
 Recommends: kdevelop, pycodestyle, python3-autopep8

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # from kdevelop
-export KDEV_PLUGIN_VERSION=510
+export KDEV_PLUGIN_VERSION=512
 
 %:
 	dh $@
